<!-- JavaScript Bundle with Popper -->
<!-- CSS only -->

<style>
    .enquireBTN{
	
	text-align: center;
	
	background-color:black;
	position:absolute;
	width:100%;
	bottom:0px;
}
/* .modal{
    top:-140px !important;
} */
.backdropcss{
    
    z-index: auto !important;
}
p#demo ul li {
    margin: 0;
    padding: 0;
    /* list-style-type: disc !important; */
    /* padding-inline-start: 40px; */
}
        .topbanner {
            margin-bottom: 20px;
            margin-top: 20px;
        }
        /*
        .innerbanner {
            border: 1px solid;
            margin: 10px;
            padding: 0px;
            background: #ffffff;
        }
        */
        #linkcolor{
        
		line-height:0.5;
		color: white;
        background-image: url('images/go-back-black.jpg');
        /* height: 500px; You must set a specified height */
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: contain;

		font-weight:600;
      padding: 13px 10px;
      padding-right:60px;
	}

    #linkcolor:hover,#linkcolor:focus,#linkcolor:active{
        background-image: url('images/go-back-red.jpg');
      
    }
	.mob_back{
        margin:10px 0px;
	display:block;
	}
        .box {
            border: 1px solid;
            margin: 10px;
            padding: 0px;
            background: #ffffff;
            
            height: 100%;
            margin-bottom: -10px;
            position: relative;
        }
        .box .info-box ul{
            padding: 20px;
            margin: 0px 10px;
        }
        .box .info-box ul li{
            list-style: disc;
        }
        .boxbtn button {
            width: 100%;
            background: #000;
            height: 37px;
            color: #fff;
            /* position:absolute; */
            
            /* bottom:0; */
        }
        .offers_desc{
            text-align: justify;
            height: 200px;
            padding: 5px;
            overflow: auto;
            font-size:12px;
            line-height:22px;
        }
        @media only screen and (min-width: 320px) and (max-width: 767px) {
        .box {
                height: 100%;
            }
            /* .img-res img {src="images/home_page/desktop/inner/asia_cruise&Bali_break.jpg";}<--This is the old image --> */
            .img-res {display: block;width:100%}
            .img-res img{
                width:100%
            }
            
            /* .img-box img {src="images/home_page/desktop/inner/asia_cruise&Bali_break.jpg";}<--This is new image --> */
            .img-box {Display: none;}
            .offers{
                position:unset;
                /* bottom:27px; */
            }
            
            .offers_BTN{
                position:unset;
                /* bottom:0; */
            }
            .modal-title{
                font-size:12px;
            }
			.finalpackage{
				margin-bottom:33px;
			}
            }
            @media only screen and (min-width: 768px)  {
            /* .img-res img {src="images/home_page/desktop/inner/asia_cruise&Bali_break.jpg";}<--This is the old image --> */
            .img-res {display: none;    width:100%}
            
            /* .img-box img {src="images/home_page/desktop/inner/asia_cruise&Bali_break.jpg";}<--This is new image --> */
            .img-box {Display: block;}
        
            .offers{
                position:absolute;
                bottom:42px;
            }
        
            .offers_BTN{
                position:absolute;
                bottom:0;
            }
			.finalpackage{
				margin-bottom:0px;
			}
            }
            .popup_offer{
                color:red
            }
            .modal-footer{
                padding:5px !important;
            }
            .enquireOpenBTN{
	width:100%;
}
            .dynamic_carouseldes{
  display:block !important;
}
.dynamic_carouselmob{
  display:none !important;
}
@media only screen and (max-width:767px){
  .desktop_view{height:200px;}
  .dynamic_carouseldes{
  display:none !important;
}
.dynamic_carouselmob{
  display:block !important;
}
}
@media only screen and (min-width: 320px) and (max-width: 767px) {
  .dynamic_carouseldes{
  display:none !important;
}
.dynamic_carouselmob{
  display:block !important;
}
}
.contentHieght{
    padding-left: 20px !important;
    margin-top: 134px !important;
}
.packageEnquire{
    background-color: #2195c3;
    color: #fff;
}
.packageEnquire:hover{
    background-color: #d91718;
    color: #fff !important;
}
#exampleModalLongTitle{
    font-weight: 600;
    padding-top: 11px;
}
.enquireHeader{
  background-color: #2195c3;
    color: white;
}
            </style>
        
                
                <div ng-controller="enquiryController">
                      
                  <section>
                        <div class="container-fluid contentHieght">
                            <div class="row">
                                <div class="col-md-12 ">
                            
                                        <br>
                                        
                                        <p style="margin-top:10px;margin-bottom:10px;text-align:left;width:100%" id="demo"></p>
                                        <!-- <span ng-bind-html="allSpecialOfferData"></span> -->
                                    <br>
                                    <div class="d-flex flex-row justify-content-center mb-4">
                                        <button type="submit" style="     border: 1px solid #1dace4;
                                        width: 133px;
                                        margin-top: -9px;
                                        height: 40px;"  ng-click="eachFlightDetails('md',any,flightRes.airlineList[0]);">Enquire Now</button>
                                    </div>
                                
                                </div>
                            </div>
                        </div>
                        </section>
                               
     
    </div>

  <!-- Modal -->
  <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Enquire Nowddd - {{path}}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form ng-submit="submitenquireForm(userForm.$valid)" name="contactform" ng-controller="enquiryController">
        <div class="modal-body">
                <input class="form-control form-control-sm mb-3" ng-model="contact.Name" type="text" placeholder="Name *" required >
                 
                <input class="form-control form-control-sm mb-3" ng-model="contact.email" type="email" placeholder="Email *" required>
                 
                <div class="d-flex flex-row">
                    <select class="form-control mr-2" style="width: 38%;"  name="countryCode" 
                         id="countryCode" ng-model="contact.countryCode" required>
                        <option value="">Country code *</option>
                        <option value="{{country.name}}" ng-repeat="country in countryList">{{country.name}}-{{country.code}}</option>
                        </select>
                        <input class="form-control form-control-sm mb-3" ng-model="contact.mobilenumber" type="number" placeholder="Mobile Number *" required>
                </div>
                
                 
                <textarea class="form-control mb-3" id="exampleFormControlTextarea1" ng-model="contact.message" placeholder="Message *" rows="3" required></textarea>
                 
                <div class="form-check mb-3">
                  <input class="form-check-input" ng-model="contact.terms" type="checkbox" value="" id="defaultCheck1">
                  <label class="form-check-label" for="defaultCheck1">
                    &nbsp;I Agree to the <span onmouseover="changetxtcolor(this)" onmouseout="removetxtstyle(this)" ng-click="redirectTerms()">Terms & conditions</span>
                  </label>
                </div>
              
        </div>
        <div class="modal-footer">
          <button type="button" id="enquireTxtContent" class="btn btn-secondary" ng-click="closebutton();" >Close</button>
          <button type="submit" class="btn btn-danger"><div ng-If="packagespinner" class="spinner-border mr-2" role="status">
            <span class="sr-only">Loading...</span>
          </div>Submit</button>
        </div>
    </form>
      </div>
    </div>
  </div>
   
  <script type="text/ng-template" ng-controller="enquiryController" id="flightDetailedinfoContent.html">
    <div class="modal-header enquireHeader py-2">
        <h5 class="modal-title" id="exampleModalLongTitle">Enquire Now - {{enquiryName}}</h5>
        <button type="button" class="close" data-dismiss="modal" ng-click="cancel();" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    <div class="v-modal-body">

<form ng-submit="submitenquireForm(userForm.$valid)" name="contactform" class="m-0" ng-controller="enquiryController">
    <div class="modal-body">
            <input class="form-control form-control-sm mb-3" ng-model="contact.Name" type="text" placeholder="Name *" required >
             
            <input class="form-control form-control-sm mb-3" ng-model="contact.email" type="email" placeholder="Email *" required>
             
            <div class="d-flex flex-row">

                    <ui-select style="width: 48%;" ng-model="contact.countryCode" theme="bootstrap" ng-class="{'has-error': guestuser.ccode.$invalid && submitted}" name="ccode" id="ccode1" autocomplete='off' class="mr-2" required>
                      <ui-select-match placeholder="Country Code">
                          <img height="20px" width="20px" src="images/Flag/{{$select.selected.code}}.gif">
                           {{$select.selected.code}} - {{$select.selected.name}}
                      </ui-select-match>
                      <ui-select-choices repeat="item in (countryList | filter: $select.search)">
                          <img height="20px" width="20px" src="images/Flag/{{item.code}}.gif">

                          <span ng-bind="item.code"></span>

                                  <span>-</span>
                                  <span ng-bind="item.name"></span>

                                  </ui-select-choices>
                                  </ui-select>
                    <input class="form-control form-control-sm mb-3" ng-model="contact.mobilenumber" type="number" placeholder="Mobile Number *" required>
            </div>
            
             
            <textarea class="form-control mb-3" id="exampleFormControlTextarea1" ng-model="contact.message" placeholder="Message *" rows="3" required></textarea>
             
            <div class="form-check mb-3">
              <input class="form-check-input" ng-model="contact.terms" type="checkbox" value="" id="defaultCheck1" required>
              <label class="form-check-label" for="defaultCheck1">
                &nbsp;I Agree to the 
              </label>
              <span onmouseover="changetxtcolor(this)" onmouseout="removetxtstyle(this)" ng-click="redirectTerms()">Terms & conditions</span>
              <div ng-If="termsErr">
                Please select the terms & conditon
              </div>
            </div>
          
    </div>
    <div class="modal-footer">
        <button type="button" style="       border: 1px solid #d91718;
        width: 104px;
        margin-top: 6px;
        margin-right: 3%;
        background: #d91718;"  class="btn btn-block btn-solid continue-book"   ng-click="cancel();" ><span
                class="v-btn__content">
                Close
            </span></button>
            <button type="submit" style="     border: 1px solid #1dace4;
            width: 104px;"
            class="btn btn-block btn-solid continue-book" ><div ng-If="packagespinner" class="spinner-border mr-2" role="status">
                <span class="sr-only">Loading...</span>
              </div>Submit</button>

            <!-- <button type="submit" style="     border: 1px solid #1dace4;
            width: 104px;"
          
              class="btn btn-block btn-solid continue-book" ><span
                    class="v-btn__content">
                    Confirm
                </span></button> -->
    </div> 
 
</form>

    </div>
   

  
</script>
         
<script>
    function changetxtcolor(e){
        e.style.color="#2195c3";
        e.style.textDecoration="underline";
        e.style.cursor = "pointer";
    }
    function removetxtstyle(e){
        e.style.color="black";
        e.style.textDecoration="unset";
    }
</script>